# Class EMEFailedToRequestMediaKeySystemAccessError

#### Hierarchy (view full)

- EmeError
  - EMEFailedToRequestMediaKeySystemAccessError

#####
Index

### Constructors

constructor

### Properties

category
code
config
description

## Constructors

### constructor

- new EMEFailedToRequestMediaKeySystemAccessError(config): EMEFailedToRequestMediaKeySystemAccessError

- #### Parameters

  - config: MediaKeySystemConfiguration[]

  #### Returns EMEFailedToRequestMediaKeySystemAccessError

  Overrides EmeError.constructor

## Properties

### `Readonly` category

category: Eme = ErrorCategory.Eme

Inherited from EmeError.category

### `Readonly` code

code: EMEFailedToRequestMediaKeySystemAccess = ErrorCode.EMEFailedToRequestMediaKeySystemAccess

Overrides EmeError.code

### `Readonly` config

config: MediaKeySystemConfiguration[]

### `Readonly` description

description: "An error was caught calling requestMediaKeySystemAccess." = 'An error was caught calling requestMediaKeySystemAccess.'